From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/evince/
Date: Sun, 18 Jun 2023 02:25:33 +0000 (UTC) [thread overview]
Message-ID: <1687055043.3ec6df9dd35b114f4aaf4aeb782f93388884ad2e.mattst88@gentoo> (raw)
commit: 3ec6df9dd35b114f4aaf4aeb782f93388884ad2e
Author: Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Sat Jun 17 23:47:44 2023 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Jun 18 02:24:03 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ec6df9d
app-text/evince: Version bump to 44.2
Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/31524
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
app-text/evince/Manifest | 1 +
app-text/evince/evince-44.2.ebuild | 132 +++++++++++++++++++++++++++++++++++++
2 files changed, 133 insertions(+)
diff --git a/app-text/evince/Manifest b/app-text/evince/Manifest
index a30184c214ea..3ceb9ea71819 100644
--- a/app-text/evince/Manifest
+++ b/app-text/evince/Manifest
@@ -1 +1,2 @@
DIST evince-44.1.tar.xz 2919776 BLAKE2B 2284bdcfb7f0eff6f4eb064ece9ef794ad83f601615c04c018a36be3382c618850207fefa39edde126a0c2a2dfa7094dd1f3d260a0cd2d0453d8de21ea77e701 SHA512 978aa58f318bf63b0cc3619b625384188a36bcda3cfa632239267a54e0a6bdcc99fe6127c328f094431daa90097615975345cdb53d8a80f051ac1674f215c696
+DIST evince-44.2.tar.xz 2919728 BLAKE2B 316f5fe545169bdca9177522e03c45112c4bb16ee41492e3c3f96be6bf1334f9cef275e73fc9d25884c3a1c4063f48b9fbcccc6a2b87fbba71f84ee4f33ab0d2 SHA512 66ea8ed99fa8c91161ba530875a473136cc58bdd6d519b492b7213d2f00f4c4957efd56ebe59f752571a7fab67f8bc556510b0b7ec56d19b9f16ff94ab2874fb
diff --git a/app-text/evince/evince-44.2.ebuild b/app-text/evince/evince-44.2.ebuild
new file mode 100644
index 000000000000..eecf527c4b32
--- /dev/null
+++ b/app-text/evince/evince-44.2.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="Simple document viewer for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evince"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0"
+# subslot = evd3.(suffix of libevdocument3)-evv3.(suffix of libevview3)
+SLOT="0/evd3.4-evv3.3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris"
+IUSE="cups djvu dvi gstreamer gnome keyring gtk-doc +introspection nautilus postscript spell tiff xps"
+REQUIRED_USE="gtk-doc? ( introspection )"
+
+# atk used in libview
+# bundles unarr
+DEPEND="
+ >=app-accessibility/at-spi2-core-2.46.0:2
+ >=dev-libs/glib-2.44.0:2
+ >=gui-libs/libhandy-1.5.0:1
+ >=dev-libs/libxml2-2.5:2
+ sys-libs/zlib:=
+ >=x11-libs/gdk-pixbuf-2.40:2
+ >=x11-libs/gtk+-3.22.0:3[cups?,introspection?]
+ gnome-base/gsettings-desktop-schemas
+ >=x11-libs/cairo-1.10
+ >=app-text/poppler-22.02.0:=[cairo]
+ >=app-arch/libarchive-3.6.0:=
+ djvu? ( >=app-text/djvu-3.5.22:= )
+ dvi? (
+ >=app-text/libspectre-0.2:=
+ dev-libs/kpathsea:=
+ )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ media-libs/gst-plugins-good:1.0 )
+ gnome? ( gnome-base/gnome-desktop:3= )
+ keyring? ( >=app-crypt/libsecret-0.5 )
+ introspection? ( >=dev-libs/gobject-introspection-1:= )
+ nautilus? ( >=gnome-base/nautilus-3.28.0 <gnome-base/nautilus-42.20 )
+ postscript? ( >=app-text/libspectre-0.2:= )
+ spell? ( >=app-text/gspell-1.6.0:= )
+ tiff? ( >=media-libs/tiff-4.0:= )
+ xps? ( >=app-text/libgxps-0.2.1:= )
+"
+RDEPEND="${DEPEND}
+ gnome-base/gvfs
+ gnome-base/librsvg
+ || (
+ >=x11-themes/adwaita-icon-theme-2.17.1
+ >=x11-themes/hicolor-icon-theme-0.10
+ )
+"
+BDEPEND="
+ gtk-doc? (
+ >=dev-util/gi-docgen-2021.1
+ app-text/docbook-xml-dtd:4.3
+ )
+ dev-libs/appstream-glib
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+ xdg_environment_reset
+
+ # Do not depend on adwaita-icon-theme, bug #326855, #391859
+ # https://gitlab.freedesktop.org/xdg/default-icon-theme/issues/7
+ sed -i '/adwaita_icon_theme_dep/d' meson.build shell/meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ -Ddevelopment=false
+ -Dplatform=gnome
+
+ -Dviewer=true
+ -Dpreviewer=true
+ -Dthumbnailer=true
+ $(meson_use nautilus)
+
+ -Dcomics=enabled
+ $(meson_feature djvu)
+ $(meson_feature dvi)
+ -Dpdf=enabled
+ $(meson_feature postscript ps)
+ $(meson_feature tiff)
+ $(meson_feature xps)
+
+ $(meson_use gtk-doc gtk_doc)
+ -Duser_doc=true
+ $(meson_use introspection)
+ -Ddbus=true
+ $(meson_feature keyring)
+ $(meson_feature cups gtk_unix_print)
+ $(meson_feature gnome thumbnail_cache)
+ $(meson_feature gstreamer multimedia)
+ $(meson_feature spell gspell)
+
+ -Dinternal_synctex=true
+
+ -Dsystemduserunitdir="$(systemd_get_userunitdir)"
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ if use gtk-doc; then
+ mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+ mv "${ED}"/usr/share/doc/{libevdocument,libevview} "${ED}"/usr/share/gtk-doc/html/ || die
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
next reply other threads:[~2023-06-18 2:25 UTC|newest]
Thread overview: 78+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-18 2:25 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-08 18:16 [gentoo-commits] repo/gentoo:master commit in: app-text/evince/ Pacho Ramos
2024-08-25 12:04 Andreas K. Hüttel
2024-07-15 20:27 Pacho Ramos
2024-07-15 20:27 Pacho Ramos
2024-02-11 14:21 Mart Raudsepp
2024-02-11 8:09 Arthur Zamarin
2023-09-22 3:13 Matt Turner
2023-09-22 3:13 Matt Turner
2023-09-18 21:56 Matt Turner
2023-09-04 17:49 Matt Turner
2023-07-27 5:11 WANG Xuerui
2023-07-11 8:43 Jakov Smolić
2023-07-07 22:03 Matt Turner
2023-07-02 11:18 Sam James
2023-07-02 8:33 Sam James
2023-05-18 12:17 Andreas Sturmlechner
2023-05-02 20:10 Arthur Zamarin
2023-05-02 18:16 Arthur Zamarin
2023-05-02 17:41 Arthur Zamarin
2023-03-22 15:04 Matt Turner
2023-03-18 17:50 Matt Turner
2022-10-29 2:54 Matt Turner
2022-05-23 19:45 Matt Turner
2022-04-17 21:34 Matt Turner
2022-03-23 6:14 Matt Turner
2022-03-13 17:15 Mart Raudsepp
2022-01-15 1:00 Mart Raudsepp
2022-01-15 1:00 Mart Raudsepp
2021-12-18 23:39 Matt Turner
2021-08-04 21:29 Pacho Ramos
2021-07-16 8:17 Pacho Ramos
2021-07-13 8:19 Pacho Ramos
2021-06-10 4:32 Matt Turner
2021-04-18 22:19 Matt Turner
2021-02-14 21:42 Mart Raudsepp
2021-01-31 18:52 Mart Raudsepp
2021-01-31 17:54 Mart Raudsepp
2021-01-31 12:28 Mart Raudsepp
2020-07-12 21:32 Mart Raudsepp
2020-04-20 20:30 Mart Raudsepp
2020-03-01 16:18 Mart Raudsepp
2019-12-23 21:26 Mart Raudsepp
2019-12-23 21:26 Mart Raudsepp
2019-10-20 14:30 Pacho Ramos
2019-07-29 19:34 Mart Raudsepp
2019-07-29 19:34 Mart Raudsepp
2019-07-29 10:29 Aaron W. Swenson
2019-07-29 10:29 Aaron W. Swenson
2019-05-18 19:59 Mart Raudsepp
2019-04-17 2:24 Sobhan Mohammadpour
2019-02-23 19:39 Mart Raudsepp
2018-12-11 18:17 Mart Raudsepp
2018-10-25 15:28 Mart Raudsepp
2018-10-25 15:28 Mart Raudsepp
2018-10-04 22:02 Mart Raudsepp
2018-08-05 9:59 Mart Raudsepp
2018-04-17 12:55 Mart Raudsepp
2018-04-15 18:58 Thomas Deutschmann
2018-04-15 4:04 Aaron Bauman
2018-01-27 0:41 Thomas Deutschmann
2018-01-18 2:08 Mikle Kolyada
2017-10-25 21:16 Mart Raudsepp
2017-10-25 21:16 Mart Raudsepp
2017-09-25 16:21 Mart Raudsepp
2017-08-18 23:26 Thomas Deutschmann
2017-08-09 22:58 Gilles Dartiguelongue
2017-07-15 9:57 Tobias Klausmann
2017-07-15 4:53 Mart Raudsepp
2017-03-28 13:54 Mart Raudsepp
2017-02-16 20:23 Mart Raudsepp
2016-10-23 23:02 Gilles Dartiguelongue
2016-10-23 23:02 Gilles Dartiguelongue
2016-07-02 10:43 Pacho Ramos
2016-07-02 10:43 Pacho Ramos
2015-11-14 13:48 Pacho Ramos
2015-10-18 7:55 Michał Górny
2015-09-07 16:24 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1687055043.3ec6df9dd35b114f4aaf4aeb782f93388884ad2e.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox